Name: libnc-dap
Summary: The NetCDF interface to DAP-2 from OPeNDAP
Version: 3.6.0
Release: 1%{?dist}.1

Source0: ftp://ftp.unidata.ucar.edu/pub/opendap/source/libnc-dap-%{version}.tar.gz 
URL: http://www.opendap.org/

Group: Development/Libraries
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: LGPL/BSD
# Mandrake and Fedora
BuildRequires: libdap-devel >= 3.6.0

%description
The libnc-dap library is a call-for-call replacement for netcdf 3.5 (and
is mostly compatible with netcdf 3.6). It can read and write to and from
netcdf files on the local machine and it can read from DAP2 compatible data
servers running on local or remote machines. Data served using DAP2 need
not be stored in netcdf files to be read using this replacement library.
Also included in this package is the ncdump utility, also bundled with the
original netcdf library, relinked with the library and thus able to read
from DAP2 compatible servers.

%package devel
Summary: Static libraries and header files from libnc-dap
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libdap-devel >= 3.6.0

%description devel
This package contains all the files needed to develop applications that
will use libnc-dap.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf netcdf/.svn

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/dncdump
%{_libdir}/libnc-dap.so.*
%doc README README.translation NEWS COPYRIGHT COPYING netcdf

%files devel
%defattr(-,root,root,-)
%{_libdir}/libnc-dap.so
%{_libdir}/libnc-dap.a
%{_bindir}/ncdap-config
%{_includedir}/libnc-dap/
%{_datadir}/aclocal/*


%changelog
* Tue Feb 28 2006 James Gallagher <jgallagher@opendap.org> - 3.6.0-1.1
- new release

* Mon Nov 21 2005 Patrice Dumas <dumas@centre-cired.fr> - 3.5.2-5
- fix Source0

* Tue Aug 30 2005 Patrice Dumas <dumas@centre-cired.fr> - 3.5.2-4
- Add missing Requires
- remove the INSTALL file and add the netcdf directory

* Fri Aug 19 2005 James Gallagher <jimg@zoey.opendap.org> 3.5.2-3
- Added README.translation and INSTALL; version to 3.5.2

* Sat Jul  2 2005 Patrice Dumas <dumas@centre-cired.fr> - 3.5.1-2
- Support for shared libraries

* Mon Jun 20 2005 James Gallagher <jimg@otaku.opendap.org> 
- Initial build.
